Pushwoosh Plugin

Stable Version 4.5.3 (O11)
Also available for 10
Published on 8 Apr (2 days ago) by 
Created on 10 October 2016

Pushwoosh Plugin

Available in OutSystems versions:
OutSystems 11

Version 4.5.3

Stable
Current
Application Package
Published on 8 Apr (2 days ago) by Pushwoosh
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Android

  • Removed the method that collected the list of installed packages to comply with the newest Play Store policy
  • Android SDK updated to 6.2.7

Version 4.5.2

Stable
Application Package
Published on 26 Mar (2 weeks ago) by Pushwoosh
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Outsystems 

  • Fixed Android build using MABS 7 


iOS


  • Changed Swizzling of viewDidAppear method 
  • Richmedia with embedded video or gif file now plays correctly on devices with iOS 14 
  • Removed Advertising Identifier (IFDA) usage within Pushwoosh iOS SDK completely 
  • Fixed richmedia interactions 


Android 

  • Fixed NullPointerException in RichMediaWebActivity 
  • Fixed SuperNotCalledException in RichMediaWebActivity 
  • Fixed java.lang.NoSuchMethodError: No virtual method onFailedToRegisterForRemoteNotifications(Ljava/lang/String;)V in class Lcom/pushwoosh/notification/PushwooshNotificationManager 
  • Fixed dynamic content not being displayed properly in In-Apps 
  • Fixed rare occasions of java.lang.RuntimeException at com.pushwoosh.inapp.view.RichMediaWebActivity.onCreate method 
  • Fixed cccasions of java.util.ConcurrentModificationException at com.pushwoosh.internal.utils.JsonUtils.jsonToMap method 
  • Fixed warning log "Pushwoosh: Can't get cached resources" 
  • Fixed possible ```java.lang.Error Caused by android.content.res.AssetManager.close``` when sending push messages with large pictures 
  • Fixed issues with in-app messages triggered by Journey Builder


Updated 

Updated Pushwoosh Cordova Plugin to version 8.1.0

Version 4.5.1

Stable
Application Package
Published on 02 November 2020 by Pushwoosh
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Updated Pushwoosh Cordova Plugin to version 8.0.0


Version 4.5.0

Stable
Application Package
Published on 18 May 2020 by Pushwoosh
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Upgrade Pushwoosh Cordova Plugin to version 7.18.11

Version 4.4.0

Stable
Application Package
Published on 18 October 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new
  • Universal version compatible with MABS 3, 4 and 5

Version 4.3.0

Stable
Application Package
Published on 07 August 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Upgrade Pushwoosh Cordova Plugin to version 7.17.1

Version 4.2.0

Stable
Application Package
Published on 22 July 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Fixes Pushwoosh initialization to allow dynamic parameters

Version 4.1.2

Draft
Application Package
Published on 22 July 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET

Version 4.1.1

Stable
Application Package
Published on 13 June 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new
  • Fixed compatibility with other plugins that use Firebase services

Version 4.1.0

Under Development
Application Package
Published on 02 June 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new
  • Changed parameter name to mirror the FCM requirements (From GoogleProjectNumber to FCMSenderId) 
  • Drop Google Cloud Messaging in favor of Firebase Cloud Messaging as per Google's requirements (removing GCM APIs)
  • Add ability to configure plugin by providing google-service.json file through Resources

Version 4.0.0

Discontinued
Application Package
Published on 06 May 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new
  • Update used version of Android support libraries to 28
  • Merge upstream (7.12.1) into OutSystems branch

Version 3.3.0

Stable
Application Package
Published on 07 August 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Upgrade Pushwoosh Cordova Plugin to version 7.17.1

Version 3.2.2

Stable
Application Package
Published on 13 June 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new
  • Fixed compatibility with other plugins that use Firebase services

Version 3.2.1

Stable
Application Package
Published on 28 May 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new
  • Changed parameter name to mirror the FCM requirements (From GoogleProjectNumber to FCMSenderId) 

Version 3.2.0

Under Development
Application Package
Published on 20 May 2019 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new
  • Drop Google Cloud Messaging in favor of Firebase Cloud Messaging as per Google's requirements (removing GCM APIs)
  • Add ability to configure plugin by providing google-service.json file through Resources

Version 3.1.0

Stable
Application Package
Published on 19 December 2018 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
All
What's new

Added

  • Added Client Action to set badge number

Fixed

  • Fixed error on "DeserializeDeepLink" action

Version 3.0.3

Under Development
Application Package
Published on 26 October 2018 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
All
What's new

Fixed issue with launch notifications

Version 3.0.2

Under Development
Application Package
Published on 24 October 2018 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
All
What's new
  • Fixed issue in OnInitializerOver event related with Pushwoosh initialization

Version 3.0.1

Stable
Application Package
Published on 27 September 2018 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
All
What's new
  • Fixed issue in iOS related with Pushwoosh initialisation

Version 3.0.0

Stable
Application Package
Published on 26 September 2018 by OutSystems R&D
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
All
What's new

First release of Pushwoosh Plugin for OutSystems 11

Version 1.0.0

Draft
Application Package
Published on 12 May 2020 by Pushwoosh
Requirements
Platform:
11.0.0.200
Database:
All
Stack:
.NET
What's new

Upgrade Pushwoosh Cordova Plugin to version 7.18.11

OutSystems 10

Version 4.4.0

Stable
Application Package
Published on 18 October 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Universal version compatible with MABS 3, 4 and 5

Version 4.3.0

Stable
Application Package
Published on 07 August 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new

Upgrade Pushwoosh Cordova Plugin to version 7.17.1

Version 4.2.0

Stable
Application Package
Published on 22 July 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new

Fixes Pushwoosh initialization to allow dynamic parameters

Version 4.1.1

Stable
Application Package
Published on 13 June 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Fixed compatibility with other plugins that use Firebase services

Version 4.1.0

Under Development
Application Package
Published on 02 June 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Changed parameter name to mirror the FCM requirements (From GoogleProjectNumber to FCMSenderId) 
  • Drop Google Cloud Messaging in favor of Firebase Cloud Messaging as per Google's requirements (removing GCM APIs)
  • Add ability to configure plugin by providing google-service.json file through Resources

Version 4.0.0

Discontinued
Application Package
Published on 06 May 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Update used version of Android support libraries to 28
  • Merge upstream (7.12.1) into OutSystems branch

Version 2.3.0

Stable
Application Package
Published on 07 August 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new

Upgrade Pushwoosh Cordova Plugin to version 7.17.1

Version 2.2.2

Stable
Application Package
Published on 13 June 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Fixed compatibility with other plugins that use Firebase services

Version 2.2.1

Stable
Application Package
Published on 28 May 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Changed parameter name to mirror the FCM requirements (From GoogleProjectNumber to FCMSenderId) 

Version 2.2.0

Under Development
Application Package
Published on 20 May 2019 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Drop Google Cloud Messaging in favor of Firebase Cloud Messaging as per Google's requirements (removing GCM APIs)
  • Add ability to configure plugin by providing google-service.json file through Resources

Version 2.1.0

Stable
Application Package
Published on 19 December 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new

Added

  • Added Client Action to set badge number

Fixed

  • Fixed error on "DeserializeDeepLink" action

Version 2.0.4

Under Development
Application Package
Published on 26 October 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new

Fixed issue with launch notifications

Version 2.0.3

Under Development
Application Package
Published on 24 October 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new
  • Fixed issue in OnInitializerOver event related with Pushwoosh initialization

Version 2.0.2

Stable
Application Package
Published on 21 September 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new
  • Fixed issue on iOS related with initialize Pushwoosh;

Version 2.0.1

Stable
Application Package
Published on 03 September 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new
  • Fixed target screen redirection when using deep-links

Version 2.0.0

Stable
Application Package
Published on 26 July 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new

Added

  • Support for Channels on Android 8


Fixed

  • Fixed an issue related with Deep Links

Version 1.1.4

Stable
Application Package
Published on 25 June 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Fixed a crash that would sometimes occur when opening the application

Version 1.1.3

Stable
Application Package
Published on 21 June 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Upgraded play-services-gcm and play-services-location dependencies versions
  • Fixed parsing Deep Link Url path

Version 1.1.2

Stable
Application Package
Published on 01 June 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Normalized git url to be consistent with current best practice

Version 1.1.1

Stable
Application Package
Published on 01 June 2018 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
.NET
What's new
  • Fixed issue that made apps crash due to the usage of a dependency without version lock
  • Updated git tag to 6.5.3-OS2

Version 1.1.0

Stable
Application Package
Published on 14 July 2017 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new
  • Fixed issue of iOS 10 devices not being able to register in the Pushwoosh Framework
  • Fixed issue of Unregister action returning an error even when the device was unregistered successfully
  • Update Git tag to version 6.5.3.OS

Version 1.0.4

Stable
Application Package
Published on 20 February 2017 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new
  • Fixed RegisterToken action not working with logged-out users
  • Update Git tag to version 6.2.5.OS

Version 1.0.3

Discontinued
Application Package
Published on 16 December 2016 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new
  • Update Git tag to 6.2.4.OS (iOS fixes)
  • Moved License to its own flow
  • Minor text adjustments

Version 1.0.2

Stable
Application Package
Published on 22 November 2016 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All
What's new
  • Fixed incorrect assignment of values to output parameters in JS nodes
  • Added extra details to the error message on the 'RegisterDevice' action

Version 1.0.1

Stable
Application Package
Published on 10 October 2016 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All

Version 1.0.0

Stable
Application Package
Published on 10 October 2016 by OutSystems R&D
Requirements
Platform:
10.0.0.402
Database:
All
Stack:
All